$ErrorActionPreference = 'Stop';

$packageName  = 'sgt-puzzles'
$toolsDir     = "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'puzzles-20190415.e2135d5-installer.msi'

$packageArgs = @{
  packageName   = $packageName
  file          = $fileLocation
  fileType      = 'msi'
  silentArgs    = "/qn /norestart /l*v     `"$env:TEMP\$env:ChocolateyPackageName.$env:ChocolateyPackageVersion.log`""

  validExitCodes= @(0)

  softwareName  = 'sgt-puzzles*'
  checksum      = 'D8E7CDB2914197B917DA2D958138EC9D8B55F02CF858A61BC028A9B86E41ABAF79FFF89ED1BF452897365E2EA6279B305C72CDD38C505B1E95C7A2AF3C4C3F57'
  checksumType  = 'sha512'
}

Install-ChocolateyInstallPackage @packageArgs
